<template>
    <div class="container">
        <div class="columns is-mobile heading">
            <div class="column is-6">
                <p class="has-text-left has-text-weight-bold">produto</p>
            </div>
            <div class="column"><p class="has-text-left has-text-weight-bold">preço</p></div>
            <div class="column"><p class="has-text-left has-text-weight-bold">qtd.</p></div>
            <div class="column"><p class="has-text-left has-text-weight-bold">total</p></div>
        </div>

        <div v-if="products">
            <CartOverviewProduct
            v-for="product in products"
            :key="product.id"
            :product="product"
            />
            
            <slot name="rows" />
        </div>
            

    </div>
</template>
<script>
import { mapGetters } from 'vuex'
import CartOverviewProduct from '@/components/cart/CartOverviewProduct'


export default {
    computed: {
        ...mapGetters({
            products: 'cart/products'
        })
    },

    components: {
        CartOverviewProduct
    }
}
</script>
<style scoped>
    .container {
        padding-bottom: 10px;
        border-bottom: 1px solid #CCC;
        font-size: .85em;
        margin: 10px auto;
        background-color: #FFF;
    }

    .heading {
        border-bottom: 1px solid #ccc;
        margin: 10px auto
    }

    @media only screen and (max-width: 640px) {

        .heading {
            display: none;
        }

        .product{
            border: 1px solid #CCC;
            padding: 10px auto;
            margin: 10px auto
        }

    }
</style>